/[gentoo-x86]/gnome-base/gnome-applets/gnome-applets-2.22.3.ebuild
Gentoo

Contents of /gnome-base/gnome-applets/gnome-applets-2.22.3.ebuild

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.10 - (show annotations) (download)
Mon May 11 22:01:31 2009 UTC (10 years, 1 month ago) by eva
Branch: MAIN
CVS Tags: HEAD
Changes since 1.9: +1 -1 lines
FILE REMOVED
New version for GNOME 2.26. Use networkmanager, enable policykit, use split python bindings, drop libgnome, gstreamer-0.8 usage. Still provide a mixer applet based on gstreamer until people move to pulseaudio. Clean up old revisions.
(Portage version: 2.2_rc33/cvs/Linux x86_64)

1 # Copyright 1999-2008 Gentoo Foundation
2 # Distributed under the terms of the GNU General Public License v2
3 # $Header: /var/cvsroot/gentoo-x86/gnome-base/gnome-applets/gnome-applets-2.22.3.ebuild,v 1.9 2008/11/13 19:32:17 ranger Exp $
4
5 inherit eutils gnome2 python
6
7 DESCRIPTION="Applets for the GNOME Desktop and Panel"
8 HOMEPAGE="http://www.gnome.org/"
9
10 LICENSE="GPL-2 FDL-1.1 LGPL-2"
11 SLOT="2"
12 KEYWORDS="alpha amd64 hppa ia64 ppc ppc64 sparc x86 ~x86-fbsd"
13 IUSE="acpi apm doc gnome gstreamer hal ipv6"
14
15 # TODO: configure says python stuff is optional
16 # my secret script says cpufrequtils might be needed in RDEPEND
17
18 RDEPEND=">=x11-libs/gtk+-2.11
19 >=dev-libs/glib-2.15.6
20 >=gnome-base/libgnome-2.8
21 >=gnome-base/libgnomeui-2.8
22 >=gnome-base/gconf-2.8
23 >=gnome-base/gnome-panel-2.13.4
24 >=gnome-base/libglade-2.4
25 >=gnome-base/gail-1.1
26 >=x11-libs/libxklavier-2.91
27 >=x11-libs/libwnck-2.9.3
28 >=gnome-base/gnome-desktop-2.11.1
29 >=x11-libs/libnotify-0.3.2
30 hal? ( >=sys-apps/hal-0.5.3 )
31 >=dev-libs/dbus-glib-0.71
32 >=x11-themes/gnome-icon-theme-2.15.91
33 >=dev-libs/libgweather-2.22.1
34 >=virtual/python-2.4
35 apm? ( sys-apps/apmd )
36 x11-apps/xrdb x11-libs/libX11
37 gnome? (
38 >=gnome-base/libgnomekbd-2.21.4.1
39 gnome-base/gnome-settings-daemon
40
41 >=gnome-extra/gucharmap-1.4
42 >=gnome-base/libgtop-2.11.92
43 >=gnome-base/gnome-vfs-2.15.4
44
45 >=dev-python/pygtk-2.6
46 >=dev-python/gnome-python-2.10
47 )
48 gstreamer? (
49 >=media-libs/gstreamer-0.10.2
50 >=media-libs/gst-plugins-base-0.10.14
51 )"
52
53 # Remove gnome-system-tools 2.14 from RDEPEND to all because it is starting
54 # to cause more headache to keep it than to mask it. Supports only s-t-b-1
55 # anyway.
56 # >=app-admin/system-tools-backends-1.1.3
57
58 DEPEND="${RDEPEND}
59 >=app-text/scrollkeeper-0.1.4
60 >=app-text/gnome-doc-utils-0.3.2
61 >=dev-util/pkgconfig-0.19
62 >=dev-util/intltool-0.35
63 dev-libs/libxslt
64 ~app-text/docbook-xml-dtd-4.3
65 doc? (
66 app-text/docbook-sgml-utils
67 )"
68
69 DOCS="AUTHORS ChangeLog NEWS README"
70
71 src_unpack() {
72 gnome2_src_unpack
73
74 # disable pyc compiling
75 mv py-compile py-compile.orig
76 ln -s $(type -P true) py-compile
77 }
78
79 pkg_setup() {
80 G2CONF="${G2CONF}
81 --disable-scrollkeeper
82 --disable-schemas-install
83 --enable-flags
84 $(use_with hal)
85 $(use_enable ipv6)"
86
87 if use gstreamer; then
88 G2CONF="${G2CONF} --with-gstreamer=0.10"
89 fi
90
91 if ! use ppc && ! use apm && ! use acpi; then
92 G2CONF="${G2CONF} --disable-battstat"
93 fi
94
95 if use ppc && ! use apm; then
96 G2CONF="${G2CONF} --disable-battstat"
97 fi
98 }
99
100 src_install() {
101 gnome2_src_install
102
103 APPLETS="accessx-status battstat charpick cpufreq drivemount geyes \
104 gkb-new gswitchit gweather invest-applet mini-commander \
105 mixer modemlights multiload null_applet stickynotes trashapplet"
106
107 # modemlights is out because it needs system-tools-backends-1
108
109 for applet in ${APPLETS} ; do
110 docinto ${applet}
111
112 for d in AUTHORS ChangeLog NEWS README README.themes TODO ; do
113 [ -s ${applet}/${d} ] && dodoc ${applet}/${d}
114 done
115 done
116 }
117
118 pkg_postinst() {
119 gnome2_pkg_postinst
120
121 if use acpi && ! use hal ; then
122 elog "It is highly recommended that you install acpid if you use the"
123 elog "battstat applet to prevent any issues with other applications "
124 elog "trying to read acpi information."
125 fi
126
127 # check for new python modules on bumps
128 python_version
129 python_mod_optimize /usr/$(get_libdir)/python${PYVER}/site-packages/invest
130 }
131
132 pkg_postrm() {
133 gnome2_pkg_postrm
134 python_mod_cleanup /usr/$(get_libdir)/python*/site-packages/invest
135 }

  ViewVC Help
Powered by ViewVC 1.1.20